Bug 1252747 - [RFE] hooks to send metrics to external "databases"
[RFE] hooks to send metrics to external "databases"
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@ovirt.org
Pavel Stehlik
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 04:09 EDT by Jiri Belka
Modified: 2016-01-21 02:25 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 05:24:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2015-08-12 04:09:12 EDT
Description of problem:

metric databases have become trendy and various cloud project uses them for storing metrics. some of them also use tools like grafana for graphs...

if could be nice feature to have hooks where one could define hooks where to send metrics, for example influxdb, graphite, dalmatinerdb... so users could use such metrics and generate their own graphs etc...
Comment 1 Itamar Heim 2015-08-16 10:51:15 EDT
yaniv - wouldn't this be more of an ETL function?
Comment 2 Yaniv Lavi 2015-08-16 11:08:37 EDT
(In reply to Itamar Heim from comment #1)
> yaniv - wouldn't this be more of an ETL function?

This is what the DWH does currently. The tool needs to support SQL database and then it can use the DWH API to create reports on.
Comment 3 Oved Ourfali 2015-08-24 02:17:15 EDT
(In reply to Yaniv Dary from comment #2)
> (In reply to Itamar Heim from comment #1)
> > yaniv - wouldn't this be more of an ETL function?
> 
> This is what the DWH does currently. The tool needs to support SQL database
> and then it can use the DWH API to create reports on.

What tool?
Comment 4 Yaniv Lavi 2015-08-24 09:08:25 EDT
(In reply to Oved Ourfali from comment #3)
> (In reply to Yaniv Dary from comment #2)
> > (In reply to Itamar Heim from comment #1)
> > > yaniv - wouldn't this be more of an ETL function?
> > 
> > This is what the DWH does currently. The tool needs to support SQL database
> > and then it can use the DWH API to create reports on.
> 
> What tool?

You can use any reporting tool you like, if they support a SQL datasource.
Users can also pull the DWH data to any other DB using SQL as datasource.
Comment 5 Oved Ourfali 2015-09-02 06:07:19 EDT
So do we need this RFE open?
Comment 6 Yaniv Lavi 2015-09-03 05:24:02 EDT
(In reply to Oved Ourfali from comment #5)
> So do we need this RFE open?

No. Please pull data from DWH to any external tool\db you wish.

Note You need to log in before you can comment on or make changes to this bug.